import { SchemaReturnFormat } from 'ts-common';
import { SchemaUtils } from '../../schema/schema-utils';

export const marieBoucherSampleSchemaRaw: SchemaReturnFormat = {
  nodes: [
    {
      name: 'merchant',
      attributes: [
        { name: 'name', type: 'string' },
        { name: 'data', type: 'int' },
      ],
    },
  ],
  edges: [
    {
      name: 'transaction',
      label: 'transaction',
      from: 'merchant',
      to: 'merchant',
      collection: 'transaction',
      attributes: [{ name: 'time', type: 'int' }],
    },
  ],
  graphStats: {
    nodes: { count: 0, stats: {} },
    edges: { count: 0, stats: {} },
  },
};

export const marieBoucherSampleSchema = SchemaUtils.schemaBackend2Graphology(marieBoucherSampleSchemaRaw);
